The Form Detail service returns all of the questions and answer options associated with a form including payment options and discount codes.
Service Name
form_detail
Required Parameters
| Name | Type |
|---|---|
| id | integer |
Optional Parameters
None
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=form_detail&id=1"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="form_detail" name="srv"/>
<argument value="1" name="id"/>
</parameters>
</request>
<response>
<service>form_detail</service>
<service_action>execute</service_action>
<availability>public</availability>
<forms count="1">
<form id="1">
<title>"20 Somethings" Spring Retreat</title>
<description>This year's exciting retreat will be nestled in the mountains in Buena Vista at the Niles Retreat Center. Cost is $100 per person and covers all lodging, food and activities. </description>
<campus id="1">User Experience Campus</campus>
<confirmationText>confirmation text box</confirmationText>
<showConfirmationCode>1</showConfirmationCode>
<start>2/15/2005</start>
<end></end>
<status>Unpublished</status>
<public>true</public>
<published>false</published>
<disabled>true</disabled>
<hasDiscountCodes>false</hasDiscountCodes>
<creator id="1" value="Master Administrator"></creator>
<modifier id="1" value="Master Administrator"></modifier>
<created>2005-02-16 02:07:01</created>
<modified>2013-07-18 17:46:51</modified>
<profile id="1">
<title>Profile</title>
<explanation></explanation>
<fields>
<field id="3">
<name>mobile_phone</name>
<required>true</required>
</field>
<field id="4">
<name>email</name>
<required>true</required>
</field>
<field id="1">
<name>first_name</name>
<required>true</required>
</field>
<field id="2">
<name>last_name</name>
<required>true</required>
</field>
<field id="5">
<name>mobile_phone</name>
<required>false</required>
</field>
</fields>
</profile>
<questions>
<question id="378">
<title>Profile Notes</title>
<explanation></explanation>
<required>false</required>
<questionType>Paragraph Text</questionType>
<order>0</order>
<adminOnly>false</adminOnly>
<allowOneChoiceOnly>false</allowOneChoiceOnly>
<disabled>false</disabled>
<min>0</min>
<max>0</max>
<choices></choices>
<options></options>
</question>
<question id="1">
<title>Preferred Food Type</title>
<explanation></explanation>
<required>false</required>
<questionType>Product/Ticket</questionType>
<order>1</order>
<adminOnly>false</adminOnly>
<allowOneChoiceOnly>false</allowOneChoiceOnly>
<disabled>true</disabled>
<min>0</min>
<max>0</max>
<choices>
<choice id="1">
<name>Meat Lover</name>
<order>1</order>
<disabled>true</disabled>
<coa></coa>
<price>5</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
<choice id="2">
<name>Vegetarian</name>
<order>2</order>
<disabled>true</disabled>
<coa></coa>
<price>10</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
<choice id="3">
<name>I'll Eat Anything</name>
<order>3</order>
<disabled>false</disabled>
<coa></coa>
<price>0</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
</choices>
<options></options>
</question>
<question id="182">
<title>don't touch dogs</title>
<explanation></explanation>
<required>true</required>
<questionType>Single Line Text</questionType>
<order>2</order>
<adminOnly>false</adminOnly>
<allowOneChoiceOnly>false</allowOneChoiceOnly>
<disabled>false</disabled>
<min>0</min>
<max>0</max>
<choices></choices>
<options></options>
</question>
<question id="328">
<title>Tickets</title>
<explanation></explanation>
<required>true</required>
<questionType>Product/Ticket</questionType>
<order>2</order>
<adminOnly>false</adminOnly>
<allowOneChoiceOnly>false</allowOneChoiceOnly>
<disabled>true</disabled>
<min>0</min>
<max>0</max>
<choices>
<choice id="641">
<name>Ticket</name>
<order>0</order>
<disabled>true</disabled>
<coa></coa>
<price>68.75</price>
<min>1</min>
<max>4</max>
<totalAvailable>0</totalAvailable>
</choice>
</choices>
<options></options>
</question>
<question id="181">
<title>This option is no longer available</title>
<explanation></explanation>
<required>true</required>
<questionType>Product/Ticket</questionType>
<order>3</order>
<adminOnly>false</adminOnly>
<allowOneChoiceOnly>false</allowOneChoiceOnly>
<disabled>true</disabled>
<min>0</min>
<max>0</max>
<choices>
<choice id="283">
<name>do not use</name>
<order>0</order>
<disabled>false</disabled>
<coa></coa>
<price>0</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
<choice id="479">
<name>do not use</name>
<order>1</order>
<disabled>true</disabled>
<coa></coa>
<price>10</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
<choice id="480">
<name>maybe</name>
<order>2</order>
<disabled>true</disabled>
<coa></coa>
<price>20</price>
<min>0</min>
<max>0</max>
<totalAvailable>0</totalAvailable>
</choice>
</choices>
<options></options>
</question>
</questions>
<attachments></attachments>
<discountCodes></discountCodes>
<paymentOptions>
<paymentOption id="later" value="Pay Later"></paymentOption>
<paymentOption id="cc" value="Pay Now by Credit/Bank Card"></paymentOption>
</paymentOptions>
</form>
</forms>
</response>
</ccb_api>